<?php

namespace App\Console\Commands\Debug;

use Illuminate\Console\Command;

use App\Models\Echomail;

class EchomailDump extends Command
{

	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'debug:echomail:dump {id}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Echomail Dump';

	/**
	 * Execute the console command.
	 *
	 * @return int
	 */
	public function handle(): int
	{
		dump(Echomail::findOrFail($this->argument('id')));

		return self::SUCCESS;
	}
}
