<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Casts\UTF8StringOrNull;

class Tearline extends Model
{
	//use HasFactory;

	public const UPDATED_AT = NULL;

	protected $casts = [
		'value' => UTF8StringOrNull::class,
	];

	public function complete(): string
	{
		return sprintf('--- %s',$this->value);
	}
}