<?php

/**
 * Fix for when there is a call to pluck() for values resolved via __get()
 */
namespace App\Traits;

trait ObjectIssetFix
{
	// Fix for a call to pluck('something') (which is resolved via __get()), but it returns false.
	public function __isset($key)
	{
		return (bool)$this->{$key};
	}
}