<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
		Schema::table('system_logs',function (Blueprint $table) {
			$table->boolean('originate')->nullable();
		});

		Schema::table('systems',function (Blueprint $table) {
			$table->boolean('pollmode')->nullable();
			$table->boolean('autohold')->nullable();
		});
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
		Schema::table('systems',function (Blueprint $table) {
			$table->dropColumn(['pollmode','autohold']);
		});
		Schema::table('system_logs',function (Blueprint $table) {
			$table->dropColumn(['originate']);
		});
    }
};
