@component('mail::message',['heading'=>'System Test Email!'])
Hi {{ isset($user) ? $user->name.',' : '' }}

This is just a test email to validate that you can receive emails from us.

@component('mail::panel')
NO ACTION REQUIRED!
@endcomponent

@component('mail::subcopy')
System Test Messsage
@endcomponent

@if($user->systems)
@component('mail::table')
| System Name   | Address       | FTNs |
| ------------- |:-------------:| --------:|
@foreach ($user->systems as $so)
| {{ $so->name }} | {{ $so->address }} | {{ $so->addresses->pluck('ftn3d')->join(', ') }} |
@endforeach
@endcomponent
@endif

@component('mail::button', ['url' => $url, 'color' => 'success'])
{{ config('mail.from.name') }}
@endcomponent

Thanks,

{{ $setup->system->sysop }}
@endcomponent