@php
	use App\Models\{Address,Zone};
@endphp

<div class="row">
	<!-- Zone mail sent to -->
	<div class="col-6">
		@if(! $o->setup && ($x=Zone::active()
			->whereIn('id',$o->zones->pluck('id'))
			->whereNotIn('id',$o->sessions->pluck('id'))
			->get())->count())

			<h4>This host's mail is sent to:</h4>
			<table class="table monotable">
				<thead>
				<tr>
					<th>AKA</th>
					<th>Uplink</th>
				</tr>
				</thead>

				<tbody>
				@foreach($x as $zo)
					@foreach ($o->match($zo,Address::NODE_ALL) as $oo)
						<tr>
							<td>{{ $oo->ftn }}</td>
							<td>
								@if ($x=$oo->uplink())
									{{ $x->ftn4d }}
								@else
									None
								@endif
							</td>
						</tr>
					@endforeach
				@endforeach
				</tbody>
			</table>
		@endif
	</div>

	<!-- Systems this host collects for -->
	<div class="col-6">
		@if($o->sessions->count())
			<h4>This host collects mail for the following systems:</h4>

			<table class="table monotable">
				<thead>
				<tr>
					<th>AKA</th>
					<th>For Systems(s)</th>
				</tr>
				</thead>

				<tbody>
				@foreach ($o->sessions->sortBy('zone_id') as $zo)
					@foreach ($o->match($zo,Address::NODE_ALL) as $oo)
						<tr>
							<td>{{ $oo->ftn }}</td>
							<td>{!! (($x=$oo->downlinks()) && $x->count()) ? $x->pluck('ftn')->join('<br>') : 'None' !!}</td>
						</tr>
					@endforeach
				@endforeach
				</tbody>
			</table>
		@endif
	</div>
</div>