<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\{DomainController,MatrixController};

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/domain/daily',[DomainController::class,'api_daily_stats']);

Route::any('matrix/{item}',[MatrixController::class,'webhook'])
	->where('item', '.*')
	->middleware('auth:matrix');