<?php

namespace App\Classes\Fonts;

use App\Classes\Font;

final class Thick extends Font
{
	protected const FONT = [
		'a' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdc,0xdc,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'b' =>	[
					[0xdc,0x20,0x20,0x20],
					[0xdb,0xdf,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'c' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdf,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'd' =>	[
					[0x20,0x20,0xdc,0x20],
					[0xdb,0xdf,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'e' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0xdc,0xdb,0x20],
					[0xdb,0xdc,0xdc,0x20],
				],
		'f' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0xdc,0x20,0x20],
					[0xdb,0x20,0x20,0x20],
				],
		'g' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0xdc,0xdb,0x20],
					[0xdc,0xdc,0xdb,0x20],
				],
		'h' =>	[
					[0xdc,0x20,0x20,0x20],
					[0xdb,0xdf,0xdb,0x20],
					[0xdb,0x20,0xdb,0x20],
				],
		'i' =>	[
					[0xdc,0x20],
					[0xdc,0x20],
					[0xdb,0x20],
				],
		'j' =>	[
					[0x20,0x20,0xdc,0x20],
					[0x20,0x20,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'k' =>	[
					[0xdc,0x20,0xdc,0x20],
					[0xdb,0xdc,0xdf,0x20],
					[0xdb,0x20,0xdb,0x20],
				],
		'l' =>	[
					[0xdc,0x20,0x20,0x20],
					[0xdb,0x20,0x20,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'm' =>	[
					[0xdc,0xdc,0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20,0xdb,0x20],
					[0xdb,0x20,0x20,0x20,0xdb,0x20],
				],
		'n' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdb,0x20,0xdb,0x20],
				],
		'o' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'p' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdb,0xdf,0xdf,0x20],
				],
		'q' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdf,0xdf,0xdb,0x20],
				],
		'r' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0x20,0xdf,0x20],
					[0xdb,0x20,0x20,0x20],
				],
		's' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0xdb,0xdc,0xdc,0x20],
					[0xdc,0xdc,0xdb,0x20],
				],
		't' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0x20,0xdb,0x20,0x20],
					[0x20,0xdb,0x20,0x20],
				],
		'u' =>	[
					[0xdc,0x20,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdb,0xdc,0xdb,0x20],
				],
		'v' =>	[
					[0xdc,0x20,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20],
					[0xdf,0xdc,0xdf,0x20],
				],
		'w' =>	[
					[0xdc,0x20,0x20,0x20,0xdc,0x20],
					[0xdb,0x20,0xdb,0x20,0xdb,0x20],
					[0xdb,0xdc,0xdb,0xdc,0xdb,0x20],
				],
		'x' =>	[
					[0xdc,0x20,0xdc,0x20],
					[0xdf,0xdb,0xdf,0x20],
					[0xdb,0xdf,0xdb,0x20],
				],
		'y' =>	[
					[0xdc,0x20,0xdc,0x20],
					[0xdb,0xdc,0xdb,0x20],
					[0xdc,0xdc,0xdb,0x20],
				],
		'z' =>	[
					[0xdc,0xdc,0xdc,0x20],
					[0x20,0xdc,0xdf,0x20],
					[0xdb,0xdc,0xdc,0x20],
				],
	];
}