<?php

namespace App\Events\Matrix;

use Illuminate\Support\Facades\Log;

/**
 * Catch all unknown events that we havent specifically programmed for.
 *
 * @package Slack\Event
 */
class Unknown extends Base
{
	public function __construct(array $request)
	{
		Log::notice(sprintf('EMU:? UNKNOWN Event received [%s]',get_class($this)));

		parent::__construct($request);
	}
}