<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Setup extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
		Schema::create('setups', function (Blueprint $table) {
			$table->id();
			$table->timestamps();

			$table->integer('zmodem');
			$table->integer('emsi_protocols');
			$table->integer('binkp');
			$table->integer('protocols');
			$table->integer('permissions');
			$table->integer('options');

			$table->bigInteger('system_id');
			$table->foreign('system_id')->references('id')->on('systems');
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
		Schema::dropIfExists('setups');
    }
}
