<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('netmails', function (Blueprint $table) {
			$table->json('kludges')->nullable();
        });
		Schema::table('echomails', function (Blueprint $table) {
			$table->tinyInteger('cost')->nullable();
		});
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('netmails', function (Blueprint $table) {
			$table->dropColumn('kludges');
        });
		Schema::table('echomails', function (Blueprint $table) {
			$table->dropColumn('cost');
		});
    }
};
