<head>
	<title>{{ config('app.name') }} - @yield('htmlheader_title', 'Your title here')</title>

	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="description" content="{{ $decription ?? '' }}">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- CSRF Token -->
	<meta name="csrf-token" content="{{ csrf_token() }}">

	<!-- CSS only -->
	<link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
	<link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.css">

	<link type="text/css" rel="stylesheet" href="{{ url('oldschool/css/main.css') }}" media="screen">

	@yield('page-css')

	@if(file_exists('css/fixes.css'))
		<!-- CSS Fixes -->
		<link rel="stylesheet" href="{{ asset('css/fixes.css') }}">
	@endif

	<link type="image/png" rel="icon" href="{{ asset('favicon.ico') }}">
</head>
